%define _buildid .9

Summary: The GNU versions of find utilities (find and xargs)
Name: findutils
Version: 4.4.2
Release: 6%{?_buildid}%{?dist}
Epoch: 1
License: GPLv3+
Group: Applications/File
URL: http://www.gnu.org/software/findutils/
Source0: ftp://ftp.gnu.org/gnu/findutils/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/findutils/%{name}-%{version}.tar.gz.sig
Patch1: findutils-4.4.0-no-locate.patch
Patch2: findutils-4.4.0-selinux.patch
Patch3: findutils-4.4.2-autofs.patch
Patch4: findutils-4.4.2-xautofs.patch
Patch5: findutils-4.4.2-fts-remount.patch
Patch6: findutils-4.4.2-execdir.patch
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libtool, automake, autoconf
BuildRequires: dejagnu, gettext-devel, texinfo
BuildRequires: libselinux-devel

%description
The findutils package contains programs which will help you locate
files on your system.  The find utility searches through a hierarchy
of directories looking for files which match a certain set of criteria
(such as a filename pattern).  The xargs utility builds and executes
command lines from standard input arguments (usually lists of file
names generated by the find command).

You should install findutils because it includes tools that are very
useful for finding things on your system.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

autoreconf

%build
%define optflags $RPM_OPT_FLAGS -D_GNU_SOURCE
%configure
%undefine optflags

make %{?_smp_mflags}

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %{name}

# move find to /bin/find
mkdir -p $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT{%_bindir,/bin}/find

# create /usr/bin/find -> /bin/find symlink
ln -sf ../../bin/find $RPM_BUILD_ROOT/usr/bin

%post
if [ -f %{_infodir}/find.info.gz ]; then
    /sbin/install-info %{_infodir}/find.info.gz %{_infodir}/dir || :
fi

%preun
if [ $1 = 0 ]; then
    if [ -f %{_infodir}/find.info.gz ]; then
        /sbin/install-info --delete %{_infodir}/find.info.gz %{_infodir}/dir \
            || :
    fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README THANKS TODO
/bin/find
%{_bindir}/find
%{_bindir}/oldfind
%{_bindir}/xargs
%{_mandir}/man1/find.1*
%{_mandir}/man1/xargs.1*
%{_infodir}/find.info*
%{_infodir}/find-maint.info.gz

%changelog
* Thu Dec 2 2010 01:34:42 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/findutils-4.4.2-6.el6

* Fri Jul 9 2010 21:51:32 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/findutils-4.4.2-5.el6

* Fri May 7 2010 00:52:25 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/findutils-4.2.27-6.el5

* Fri May 7 2010 00:52:13 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/findutils-4.2.27-5.el5

* Fri May 7 2010 00:51:59 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/findutils-4.2.27-4.1

* Fri May 7 2010 00:12:36 UTC Cristian Gafton <gafton@amazon.com>
- added submodule prep for package findutils
